Index: /main/trunk/model-cols/niupepa/gli.col
===================================================================
--- /main/trunk/model-cols/niupepa/gli.col	(revision 26230)
+++ /main/trunk/model-cols/niupepa/gli.col	(revision 26230)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE GathererCollection [
+  <!ELEMENT GathererCollection (Argument*, GathererConfig, BuildConfig)>
+  <!ELEMENT GathererConfig    (Arguments*)>
+  <!ELEMENT BuildConfig       (Build, Import)>
+  <!ELEMENT Build             (Arguments*)>
+  <!ELEMENT Import            (Arguments*)>
+  <!ELEMENT Schedule 	      (Arguments*)> 
+  <!ELEMENT Argument          (#PCDATA)>
+  <!ATTLIST Argument
+            name              CDATA #REQUIRED
+				enabled           CDATA "true">
+]>
+<GathererCollection>
+	<Argument name="built">false</Argument>
+	<Argument name="imported">true</Argument>
+	<Argument name="skimfile">true</Argument>
+	<GathererConfig/>
+	<BuildConfig>
+		<Build/>
+		<Import/>
+		<Schedule/>
+	</BuildConfig>
+</GathererCollection>
Index: /main/trunk/model-cols/niupepa/metadata/ex.mds
===================================================================
--- /main/trunk/model-cols/niupepa/metadata/ex.mds	(revision 26230)
+++ /main/trunk/model-cols/niupepa/metadata/ex.mds	(revision 26230)
@@ -0,0 +1,496 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE MetadataSet SYSTEM "http://www.greenstone.org/dtd/MetadataSet/1.0/MetadataSet.dtd">
+<MetadataSet contact="nzdl.org" creator="New Zealand Digital Libraries Project: Greenstone" family="Extracted Greenstone" lastchanged="Tue Sep 05 14:40:36 NZST 2006 - kjdon on kanuka" namespace="ex">
+    <SetLanguage code="en">
+        <Name>Extracted Greenstone Metadata 1.1</Name>
+        <Description>This document is the reference description, version 1.1 of the automatically extracted Greenstone Metadata Element Set. Most of the possible extracted metadata elements have been added.</Description>
+    </SetLanguage>
+    <SetLanguage code="vi">
+        <Name>Bá» siÃªu dá»¯ liá»u Greenstone</Name>
+        <Description>MÃŽ táº£ vá» bá» siÃªu dá»¯ liá»u Greenstone phiÃªn báº£n 1.1 cho yáº¿u tá» siÃªu dá»¯ liá»u Greenstone ÄÆ°á»£c triáº¿t rÃºt tá»± Äá»ng</Description>
+    </SetLanguage>
+    <SetLanguage code="ar">
+    	<Name language="ar">ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª Greenstone Ø§ÙÙ
+Ø³ØªØ®Ø±Ø¬Ø© 1.0</Name>
+    	<Description language="ar">ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª ÙØ±ÙÙØ³ØªÙÙ</Description>
+       </SetLanguage>
+
+    <Element name="Title">
+        <Language code="en">
+            <Attribute name="comment">Not always available.</Attribute>
+            <Attribute name="definition">The title of the imported document as extracted by Greenstone.</Attribute>
+            <Attribute name="label">Title</Attribute>
+        </Language>
+        <Language code="vi">
+            <Attribute name="label">Nhan Äá»</Attribute>
+            <Attribute name="definition">Nhan Äá» cá»§a tÃ i liá»u nháº­p kháº©u vÃ o Há» thá»ng vÃ  ÄÆ°á»£c Greenstone triáº¿t rÃºt tá»± Äá»ng</Attribute>
+            <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng sáºµn cÃ³</Attribute>
+        </Language>
+        <Language code="ar">
+             <Attribute name="label">Ø§ÙØ¹ÙÙØ§Ù</Attribute>
+             <Attribute name="definition">Ø§ÙØ¹ÙÙØ§Ù</Attribute>
+              <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+
+    </Element>
+    <Element name="Encoding">
+        <Language code="en">
+            <Attribute name="comment">Not always available.</Attribute>
+            <Attribute name="definition">The encoding of the imported document as extracted by Greenstone.</Attribute>
+            <Attribute name="label">Encoding</Attribute>
+        </Language>
+        <Language code="vi">
+            <Attribute name="label">Bá» mÃ£ kÃœ tá»±</Attribute>
+            <Attribute name="definition">ThÃŽng tin bá» mÃ£ kÃœ tá»± cá»§a tÃ i liá»u ÄÆ°á»£c nháº­p kháº©u mÃ  Greenstone tá»± Äá»ng triáº¿t rut ÄÆ°á»£c</Attribute>
+            <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng cÃ³ sáºµn</Attribute>
+        </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§ÙØªØŽÙÙØ±</Attribute>
+            <Attribute name="definition">Ø§ÙØªØŽÙÙØ±</Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+    </Language>
+
+    </Element>
+    <Element name="Language">
+        <Language code="en">
+            <Attribute name="comment">Not always available.</Attribute>
+            <Attribute name="definition">The language of the imported document as extracted by Greenstone.</Attribute>
+            <Attribute name="label">Language</Attribute>
+        </Language>
+        <Language code="vi">
+            <Attribute name="label">NgÃŽn ngá»¯</Attribute>
+            <Attribute name="definition">TÃªn ngÃŽn ngá»¯ cá»§a tÃ i liá»u mÃ  Greenstone tá»± Äá»ng triáº¿t rÃºt ÄÆ°á»£c.</Attribute>
+            <Attribute name="comment">KhÃŽng pháº£i lÃºc nÃ o cÅ©ng cÃ³ sáºµn</Attribute>
+        </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§ÙÙØºØ©</Attribute>
+            <Attribute name="definition">Ø§ÙÙØºØ©</Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+
+    </Element>
+    <Element name="Source">
+        <Language code="en">
+            <Attribute name="comment"/>
+            <Attribute name="definition">The filename of the document imported by Greenstone, suitable for display.</Attribute>
+            <Attribute name="label">Source</Attribute>
+        </Language>
+        <Language code="vi">
+            <Attribute name="label">TÃªn tá»p tin</Attribute>
+            <Attribute name="definition">TÃªn tá»p tin cá»§Ã¢tÃ¬ liá»u ÄÆ°á»£c Greenstone nháº­p kháº©u vÃ o há» thá»ng.</Attribute>
+            <Attribute name="comment">áºšn Äá»i vá»i GLI bá»i ÄÃ£ ÄÆ°á»£c hiá»n thá» trong cÃ¢y thÆ° má»¥c</Attribute>
+        </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§Ø³Ù
+Ø§Ø¡ Ø§ÙÙ
+ÙÙØ§Øª</Attribute>
+            <Attribute name="definition"></Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+
+    </Element>
+    <Element name="SourceFile">
+        <Language code="en">
+            <Attribute name="label">SourceFile</Attribute>
+            <Attribute name="definition">The file the metadata has been extracted from</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FileSize">
+        <Language code="en">
+            <Attribute name="label">FileSize</Attribute>
+            <Attribute name="definition">The size of the source file in bytes</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FileFormat">
+        <Language code="en">
+            <Attribute name="label">FileFormat</Attribute>
+            <Attribute name="definition">The format of the source file</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="MimeType">
+        <Language code="en">
+            <Attribute name="label">MimeType</Attribute>
+            <Attribute name="definition">The MIME type of the source file</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Identifier">
+        <Language code="en">
+            <Attribute name="label">Identifier</Attribute>
+            <Attribute name="definition">Identifier assigned by Greenstone</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+        <Language code="ab">
+            <Attribute name="label"/>
+            <Attribute name="definition"/>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Plugin">
+        <Language code="en">
+            <Attribute name="label">Plugin</Attribute>
+            <Attribute name="definition">The Greenstone plugin used to extract metadata</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="URL">
+        <Language code="en">
+            <Attribute name="label">URL</Attribute>
+            <Attribute name="definition">The URL the source file was retrieved from</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="assocfilepath">
+        <Language code="en">
+            <Attribute name="label">assocfilepath</Attribute>
+            <Attribute name="definition">The filepath of any associated files</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="lastmodified">
+        <Language code="en">
+            <Attribute name="label">lastmodified</Attribute>
+            <Attribute name="definition">The date of the last modification of the source file</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="hascover">
+        <Language code="en">
+            <Attribute name="label">hascover</Attribute>
+            <Attribute name="definition">Whether or not a cover has been defined for the source file</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="NoText">
+        <Language code="en">
+            <Attribute name="label">NoText</Attribute>
+            <Attribute name="definition">True if the source file has no text</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Date">
+        <Language code="en">
+            <Attribute name="label">Date</Attribute>
+            <Attribute name="definition">The date of the source file</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Image">
+        <Language code="en">
+            <Attribute name="label">Image</Attribute>
+            <Attribute name="definition">Image</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageType">
+        <Language code="en">
+            <Attribute name="label">ImageType</Attribute>
+            <Attribute name="definition">The type of the image</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageSize">
+        <Language code="en">
+            <Attribute name="label">ImageSize</Attribute>
+            <Attribute name="definition">The size of the image in bytes</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageHeight">
+        <Language code="en">
+            <Attribute name="label">ImageHeight</Attribute>
+            <Attribute name="definition">The height of the image in pixels</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ImageWidth">
+        <Language code="en">
+            <Attribute name="label">ImageWidth</Attribute>
+            <Attribute name="definition">The width of the image in pixels</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Thumb">
+        <Language code="en">
+            <Attribute name="label">Thumb</Attribute>
+            <Attribute name="definition">Thumbnail image</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ThumbType">
+        <Language code="en">
+            <Attribute name="label">ThumbType</Attribute>
+            <Attribute name="definition">The file type of the thumbnail image</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ThumbWidth">
+        <Language code="en">
+            <Attribute name="label">ThumbWidth</Attribute>
+            <Attribute name="definition">The width of the thumbnail image in pixels</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ThumbHeight">
+        <Language code="en">
+            <Attribute name="label">ThumbHeight</Attribute>
+            <Attribute name="definition">The height of the thumbnail image in pixels</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Screen">
+        <Language code="en">
+            <Attribute name="label">Screen</Attribute>
+            <Attribute name="definition">Screen</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ScreenType">
+        <Language code="en">
+            <Attribute name="label">ScreenType</Attribute>
+            <Attribute name="definition">The type of the screen</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ScreenWidth">
+        <Language code="en">
+            <Attribute name="label">ScreenWidth</Attribute>
+            <Attribute name="definition">The width of the screen in pixels</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ScreenHeight">
+        <Language code="en">
+            <Attribute name="label">ScreenHeight</Attribute>
+            <Attribute name="definition">The height of the screen in pixels</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="SourceSegment">
+        <Language code="en">
+            <Attribute name="label">SourceSegment</Attribute>
+            <Attribute name="definition">Source segment</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="NumPages">
+        <Language code="en">
+            <Attribute name="label">NumPages</Attribute>
+            <Attribute name="definition">Number of pages</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="HTMLDisplay">
+        <Language code="en">
+            <Attribute name="label">HTMLDisplay</Attribute>
+            <Attribute name="definition">from procite plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="RecordNumber">
+        <Language code="en">
+            <Attribute name="label">RecordNumber</Attribute>
+            <Attribute name="definition">from procite plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Workform">
+        <Language code="en">
+            <Attribute name="label">Workform</Attribute>
+            <Attribute name="definition">from procite plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Pages">
+        <Language code="en">
+            <Attribute name="label">Pages</Attribute>
+            <Attribute name="definition">Pages</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="PageNum">
+        <Language code="en">
+            <Attribute name="label">PageNum</Attribute>
+            <Attribute name="definition">Number of pages</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="GENERATOR">
+        <Language code="en">
+            <Attribute name="label">GENERATOR</Attribute>
+            <Attribute name="definition">GENERATOR</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="ISISRawRecord">
+        <Language code="en">
+            <Attribute name="label">ISISRawRecord</Attribute>
+            <Attribute name="definition">ISISRawRecord</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Creator">
+        <Language code="en">
+            <Attribute name="label">Creator</Attribute>
+            <Attribute name="definition">The Creator of a record, as extracted by Latex, Bibtex, and Refer plugins. Contains a concatenated set of all Authors.</Attribute>
+            <Attribute name="comment">Not always available.</Attribute>
+        </Language>
+    </Element>
+    <Element name="Author">
+        <Language code="en">
+            <Attribute name="label">Author</Attribute>
+            <Attribute name="definition">The Author of a record, as extracted byLatex, Bibtex, and Refer plugins. Each Author specified individually.</Attribute>
+            <Attribute name="comment">Not always available.</Attribute>
+        </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§ÙÙ
+Ø€ÙÙ ØŽØ®Øµ</Attribute>
+            <Attribute name="definition">Ø§ÙÙ
+Ø€ÙÙ ØŽØ®Øµ</Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+    </Element>
+    <Element name="Placename">
+        <Language code="en">
+            <Attribute name="label">Placename</Attribute>
+            <Attribute name="definition">from gis plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Headers">
+        <Language code="en">
+            <Attribute name="label">Headers</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="InReplyTo">
+        <Language code="en">
+            <Attribute name="label">InReplyTo</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FromName">
+        <Language code="en">
+            <Attribute name="label">FromName</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="FromAddr">
+        <Language code="en">
+            <Attribute name="label">FromAddr</Attribute>
+            <Attribute name="definition">from email plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="EmailAddress">
+        <Language code="en">
+            <Attribute name="label">EmailAddress</Attribute>
+            <Attribute name="definition">Email address</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="EntryType">
+        <Language code="en">
+            <Attribute name="label">EntryType</Attribute>
+            <Attribute name="definition">from bibtex plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Keyword">
+        <Language code="en">
+            <Attribute name="label">Keyword</Attribute>
+            <Attribute name="definition">Keywords for a record, as extracted by Bibtex and Refer plugins.</Attribute>
+            <Attribute name="comment">Not always available.</Attribute>
+        </Language>
+        <Language code="ar">
+            <Attribute name="label">Ø§ÙÙÙÙ
+Ø§Øª Ø§ÙÙ
+ÙØªØ§Ø­ÙØ©</Attribute>
+            <Attribute name="definition">Ø§ÙÙÙÙ
+Ø§Øª Ø§ÙÙ
+ÙØªØ§Ø­ÙØ©</Attribute>
+            <Attribute name="comment">ØºÙØ± Ù
+ØªÙÙØ± Ø¯Ø§ØŠÙ
+Ø§.</Attribute>
+        </Language>
+    </Element>
+    <Element name="BookConfOnly">
+        <Language code="en">
+            <Attribute name="label">BookConfOnly</Attribute>
+            <Attribute name="definition">from bibtex, refer plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="JournalsOnly">
+        <Language code="en">
+            <Attribute name="label">JournalsOnly</Attribute>
+            <Attribute name="definition">from bibtex, refer plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="equivlink">
+        <Language code="en">
+            <Attribute name="label">equivlink</Attribute>
+            <Attribute name="definition">equivlink</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Acronym">
+        <Language code="en">
+            <Attribute name="label">Acronym</Attribute>
+            <Attribute name="definition">Acronym</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="mp3applet">
+        <Language code="en">
+            <Attribute name="label">mp3applet</Attribute>
+            <Attribute name="definition">from mp3 plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="giquery">
+        <Language code="en">
+            <Attribute name="label">giquery</Attribute>
+            <Attribute name="definition">from mp3 plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="srcurl">
+        <Language code="en">
+            <Attribute name="label">srcurl</Attribute>
+            <Attribute name="definition">from mp3 plugin</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Keyphrase">
+        <Language code="en">
+            <Attribute name="label">Keyphrase</Attribute>
+            <Attribute name="definition">Keyphrase</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+    <Element name="Keyphrases">
+        <Language code="en">
+            <Attribute name="label">Keyphrases</Attribute>
+            <Attribute name="definition">Keyphrases</Attribute>
+            <Attribute name="comment"/>
+        </Language>
+    </Element>
+</MetadataSet>
Index: /main/trunk/model-cols/niupepa/metadata/greenstone.mds
===================================================================
--- /main/trunk/model-cols/niupepa/metadata/greenstone.mds	(revision 26230)
+++ /main/trunk/model-cols/niupepa/metadata/greenstone.mds	(revision 26230)
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE MetadataSet SYSTEM "http://www.greenstone.org/dtd/MetadataSet/1.0/MetadataSet.dtd">
+<MetadataSet contact="" creator="" family="" lastchanged="Tue Sep 05 14:40:36 NZST 2006 - kjdon on kanuka" namespace="gs">
+  <SetLanguage code="en">
+    <Name>Greenstone metadata set</Name>
+    <Description>Some special elements particular to Greenstone.</Description>
+  </SetLanguage>
+  <SetLanguage code="vi">
+    <Name>Bá» siÃªu dá»¯ liá»u riÃªng cá»§a Greenstone</Name>
+    <Description>Má»t sá» yáº¿u tá» riÃªng biá»t cho Greenstone.</Description>
+  </SetLanguage>
+  <Element name="DocumentHeader">
+    <Language code="en">
+      <Attribute name="label">Document Header</Attribute>
+      <Attribute name="definition">Headers that will be added to document display. For example, use this to include stylesheets in the document display. The content should be escaped HTML.</Attribute>
+      <Attribute name="comment">The _document:documentheader_ macro will be set to the value of this metadata.</Attribute>
+    </Language>
+    <Language code="vi">
+      <Attribute name="label">TiÃªu Äá» tÃ i liá»u</Attribute>
+      <Attribute name="definition">TiÃªu Äá» ÄÆ°á»£c bá» sung vÃ o pháº§n hiá»n thá» cá»§a tÃ i liá»u. ThÃ­ dá»¥, sá»­ dá»¥ng Äiá»u nÃ y Äá» ÄÆ°a stylesheets vÃ o trong viá»c hiá»n thá» tÃ i liá»u. Ná»i dung cáº§n lÃ  escaped HTML.</Attribute>
+      <Attribute name="comment">Macro  _document:documentheader_ sáºœ ÄÆ°á»£c thiáº¿t láº­p cho giÃ¡ trá» cá»§a siÃªu dá»¯ liá»u nÃ y</Attribute>
+    </Language>
+  </Element>
+  <Element name="OAIDateStamp">
+    <Language code="en">
+      <Attribute name="label">OAI DateStamp</Attribute>
+      <Attribute name="definition">The datestamp of the document to be used by the OAI server. Format must be YYYY-MM-DD. If not defined, oailastmodified will be used instead.</Attribute>
+    </Language>
+  </Element>
+  <Element name="OAIResourceURL">
+    <Language code="en">
+      <Attribute name="label">OAI Resource URL</Attribute>
+      <Attribute name="definition">The URL for the document to be used for dc:identifier. If not defined, a URL to the file defined by srclinkFile metadata will be used instead. If no srclinkFile either, then a URL to the Greenstone version of the document will be used.</Attribute>
+    </Language>
+  </Element>
+  <Element name="allowPrinting">
+    <Language code="en">
+      <Attribute name="label">Allow Printing</Attribute>
+      <Attribute name="definition">Controls whether or not a particular document can be printed from within the Realistic Books software.  Defaults to 'true' (i.e allow printing); set to 'false' to prevent this.</Attribute>
+    </Language>
+  </Element>
+  <Element name="filenameEncoding" accumulating="false">
+    <Language code="en">
+      <Attribute name="label">Filename Encoding</Attribute>
+      <Attribute name="definition">The encoding of the filename. If this is known, it can be manually set here.</Attribute>
+      <Attribute name="comment">If not manually specified, Greenstone will try to guess the encoding of the filename upon building, which may or may not be correct.</Attribute>
+    </Language>
+  </Element>
+  
+</MetadataSet>
Index: /main/trunk/model-cols/niupepa/metadata/profile.xml
===================================================================
--- /main/trunk/model-cols/niupepa/metadata/profile.xml	(revision 26230)
+++ /main/trunk/model-cols/niupepa/metadata/profile.xml	(revision 26230)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Profiles [
+<!ELEMENT Profiles (Action*)>
+<!ELEMENT Action (#PCDATA)>
+<!ATTLIST Action
+                source     CDATA #REQUIRED
+                target     CDATA "">
+]>
+<Profiles/>