Index: /main/trunk/model-cols/niupepa/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-cols/niupepa/etc/collectionConfig.xml	(revision 26246)
+++ /main/trunk/model-cols/niupepa/etc/collectionConfig.xml	(revision 26247)
@@ -8,5 +8,5 @@
 	<displayItemList>
 		<displayItem assigned="true" lang="en" name="description">A sample of niupepa papers</displayItem>
-		<displayItem assigned="true" lang="en" name="name">NiupepaTest</displayItem>
+		<displayItem assigned="true" lang="en" name="name">niupepa: Maori newspapers</displayItem>
 		<displayItem assigned="true" lang="en" name="text">text</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
@@ -61,19 +61,10 @@
 		</format>
 	<search type="mgpp">
-		<level name="document">
-			<displayItem lang="en" name="name">document</displayItem>
-		</level>
 		<level name="section">
 			<displayItem lang="en" name="name">section</displayItem>
 		</level>
-		<defaultLevel name="document"/>
+		<defaultLevel name="section"/>
 		<index name="text">
 			<displayItem lang="en" name="name">text</displayItem>
-		</index>
-		<index name="dc.Title,ex.dc.Title,Title">
-			<displayItem lang="en" name="name">titles</displayItem>
-		</index>
-		<index name="Source">
-			<displayItem lang="en" name="name">filenames</displayItem>
 		</index>
 		<defaultIndex name="text"/>
@@ -83,7 +74,20 @@
 			<option name="stem"/>
 		</indexOption>
+		<indexSubcollection name="abstract,commentary,niupepa">
+      <displayItem lang="en" name="name">papers, commentaries and abstracts</displayItem>
+    </indexSubcollection>
+		<indexSubcollection name="niupepa">
+      <displayItem lang="en" name="name">newspapers</displayItem>
+      </indexSubcollection>
+		<indexSubcollection name="commentary">
+      <displayItem lang="en" name="name">bibliographic commentaries</displayItem>
+      </indexSubcollection>
+		<indexSubcollection name="abstract">
+      <displayItem lang="en" name="name">English abstracts</displayItem>
+      </indexSubcollection>
+		<subcollection filter="DocType/Commentary/" name="commentary"/>
+		<subcollection filter="DocType/Abstract/" name="abstract"/>
+		<subcollection filter="DocType/Niupepa/" name="niupepa"/>
 		<searchType name="plain"/>
-		<searchType name="simpleform"/>
-		<searchType name="advancedform"/>
 		<format>
 			<gsf:template match="documentNode">
@@ -126,34 +130,38 @@
 			<option name="-bookshelf_type" value="always"/>
 			<option name="-partition_type_within_level" value="none"/>
-			<format>  <gsf:template match="documentNode">
-    <td valign="top">
-      <gsf:switch>
-        <gsf:metadata name="abstract"/>
-        <gsf:when test="exists"><gsf:link OIDmetadata="abstract" type="document"><gsf:icon file="iabstr.gif" select="collection"/></gsf:link></gsf:when>
-      </gsf:switch>
-    </td>
-    <td valign="top">
-      <gsf:link type="document">
-        <xsl:call-template name="choose-icon"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:metadata name="Title"/>
-      <xsl:text>      </xsl:text>      <gsf:metadata format="formatDate" name="Date"/>
-    </td>
-  </gsf:template>
-  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
-    <td valign="top">
-      <gsf:link type="classifier">
-        <gsf:icon type="classifier"/>
-      </gsf:link>
-    </td>
-    <td valign="top">
-      <gsf:metadata name="Title"/>
-      <xsl:text>      </xsl:text>      <i>(<gsf:metadata name="numleafdocs"/> issues)</i>
-    </td>
-  </gsf:template>
-
-</format>
+			<format>
+			<gsf:template match="documentNode">
+				<td valign="top">
+					<gsf:switch>
+						<gsf:metadata name="abstract"/>
+						<gsf:when test="exists">
+							<gsf:link OIDmetadata="abstract" type="document">
+								<gsf:icon file="iabstr.gif" select="collection"/>
+							</gsf:link>
+						</gsf:when>
+					</gsf:switch>
+				</td>
+				<td valign="top">
+					<gsf:link type="document">
+						<xsl:call-template name="choose-icon"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:metadata name="Title"/>
+					<xsl:text>					</xsl:text>					<gsf:metadata format="formatDate" name="Date"/>
+				</td>
+			</gsf:template>
+			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
+				<td valign="top">
+					<gsf:link type="classifier">
+						<gsf:icon type="classifier"/>
+					</gsf:link>
+				</td>
+				<td valign="top">
+					<gsf:metadata name="Title"/>
+					<xsl:text>					</xsl:text>					<i>(<gsf:metadata name="numleafdocs"/> issues)</i>
+				</td>
+			</gsf:template>
+		</format>
 		</classifier>
 		<classifier name="DateList">