Index: main/trunk/model-cols/niupepa/resources/niupepa.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 26252)
+++ main/trunk/model-cols/niupepa/resources/niupepa.properties	(revision 26256)
@@ -9,3 +9,16 @@
 
 simple.query=Search {0-subcolllist} for {1-some/all} of the words {2-query box}
+
+about.textxwelcome=<h2>Welcome to the Maori Niupepa Collection</h2>
+about.textxwelcome2=<p>Here we have a collection of historic newspapers published primarily for a Maori audience between 1842 and 1932. The newspapers can be <a href="_httpquery_"><b>searched</b></a> (full text), <a href="_httpbrowseSeries_"><b>browsed</b></a> (by series) or accessed by <a href="_httpbrowseDate_"><b>date</b></a>. This collection has been made available by the <a href="http://www.nzdl.org">New Zealand Digital Library Project</a>, at the <a href="http://www.cs.waikato.ac.nz/cs/">Department of Computer Science</a>, <a href="http://www.waikato.ac.nz">University of Waikato</a>.</p>
+about.textxbackground=<p><a href="#background">Background information</a> about the collection can be accessed below.</p>
+about.textxgrateful=<p>We are grateful for the support of many organisations that have assisted in making this collection freely available, in particular the <a href="http://www.minedu.govt.nz">Ministry of Education</a> and university libraries throughout New Zealand. Please see our <a href="#supportorgs">supporting organisations</a> section below.</p>
+
+about.textxbackground2=<h2>Background Information</h2>
+about.textxbackground3=<p>The niupepa collection consists of over 17,000 pages taken from 34 separate periodicals. It is based on &quot;Niupepa 1842-1933&quot;, a microfiche collection produced by the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>. 70% of the collection is written solely inMaori, 27% is bilingual and about 3% is written in English. There were three main types of niupepa published; government sponsored, Maori initiated, and religious.</p><p>There are four main parts to the Maori niupepa collection:</p><ul><li>facsimile images of the original pages</li><li>text extracted from the newspapers (for searching)</li><li>bibliographic commentaries for each newspaper title</li><li><a href="_httppagex_(abexpl)">English abstracts</a> for each issue</li></ul><p>Further information about the Niupepa Collection can be found in <i>Rere Atu Taku Manu! Discovering History, Language & Politics in the Maori Language Newspapers</i>. Edited by Jennifer Curnow, Ngapare Hopa, and Jane McRae. Auckland University Press (2002). </p>
+
+about.textxsupporgs=<h2>Supporting Organisations</h2>
+about.textyaymined=<p>The <a href="http://www.minedu.govt.nz">Ministry of Education</a> are the principal sponsors of this project.</p>
+about.textxsupporgs2=<p>Financial support was also generously given by the following university libraries:</p><ul><li><a href="http://www.waikato.ac.nz/library/">Waikato University Library</a></li><li><a href="http://www.library.otago.ac.nz">Otago University Library</a></li><li><a href="http://www.massey.ac.nz/~wwwlib/">Massey University Library</a></li><li><a href="http://www.victoria.ac.nz/library/">Victoria University Library</a></li><li><a href="http://www2.auckland.ac.nz/lbr/">Auckland University Library</a></li><li><a href="http://library.canterbury.ac.nz"</a>Canterbury University Library</a></li><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Lincoln University Library</a></li></ul><p>The newspapers are also available on 35mm microfilm and microfiche. They can be borrowed on interloan through your local library or purchased from the <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a>.</p><p>Digital image capture was provided by <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a></p><p>Commentaries on titles provided by Gail Dallimore.</p><p><a href="_httppagex_(abexpl)">English abstracts</a> are provided by a team working through the Department of Maori Studies at the University of Auckland.</a>.</p>
+
 abstract=Abstract
Index: main/trunk/model-cols/niupepa/resources/niupepa_mi.properties
===================================================================
--- main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26252)
+++ main/trunk/model-cols/niupepa/resources/niupepa_mi.properties	(revision 26256)
@@ -8,3 +8,16 @@
 
 simple.query=Tirohia ki {0-subcolllist} mÅ {1-some/all} o ngÄ kupu {2-query box}
-abstract=RÄpopoto reo PÄkehÄ
+
+about.textxwelcome=<h2>Nau mai ki te Kohikohinga Niupepa Maori</h2>
+about.textxwelcome2=<p>Kua whakaemitia mai ki konei he kohikohinga niupepa i tangia mo nga kaipanui Maori o nga tau 1842-1932. E taea te panui niupepa ma te <a href="_httpquery_">rapu kupu</a>, i te <a href="_httpbrowseSeries_">rarangi taitara</a>, me te rarangi <a href="_httpbrowseDate_">wataka</a> hoki. He mea i whakaturia e te kaupapa <a href="http://www.nzdl.org">New Zealand Digital Library</a>, i te <a href="http://www.cs.waikato.ac.nz/cs/">Tari Rorohiko</a>, o te <a href="http://www.waikato.ac.nz">Whare Wananga o Waikato</a>.</p>
+about.textxbackground=<p>Kei raro nei he <a href="#background">kupu whakamarama</a> e pa ana ki te kohikohinga nei.</p>
+about.textxgrateful=<p>Ka nui te mihi ki nga ropu tautoko i te kaupapa nei. Na ta ratou tautoko kua kore he utu, ma koutou, mo te titiro ki nga niupepa nei. Ko te <a href="http://www.minedu.govt.nz">Tahuhu o te Matauranga</a> tera, me etehi whare pukapuka e noho mai nei ki nga whare wananga o te motu. Tirohia nga <a href="#supportorgs">ropu tautoko</a>.</p>
+
+about.textxbackground2=<h2>He Kupu Whakamarama</h2>
+about.textxbackground3=<p>He nui ake i te 17,700 wharangi, mai i te 34 niupepa kei te kohikohinga nei. He mea hanga i te &quot;Niupepa 1842-1933&quot;, te kohinga kua whakaemihia e te <a href="http://www.natlib.govt.nz/en/using/8atl.html">Alexander Turnbull Library</a> ki runga i te kiriata mororiki. E 70% kei te reo Maori, 27% kei nga reo e rua, a, kua ahua 3% kei te reo Pakeha. E toru nga kaupapa matua o nga niupepa nei: he hapainga kawanatanga; he panui ranei nonga iwi Maori; he kupu whakapono ranei no nga hahi. </p><p>E wha nga wahanga nui o te kohikohinga niupepa Maori:</p><ul><li>nga whakaahua o te wharangi niupepa</li><li>nga kupu kua tangohia (mo te rapu) i aua wharangi</li><li>he kupu whakataki mo ia niupepa</li><li>he <a href="_httppagex_(abexpl)">rapopototanga reo Pakeha</a></li></ul><p>Mo etehi atu korero panuitia te pukapuka <i>Rere Atu Taku Manu! Discovering History, Language & Politics in the Maori Language Newspapers</i>. Na Jennifer Curnow, ratou ko Ngapare Hopa, ko Jane McRae. Auckland University Press (2002). </p>
+
+about.textxsupporgs=<h2>Ropu Tautoko</h2>
+about.textyaymined=<p>Ko te tino tautoko o te kaupapa nei, i puta i te <a href="http://www.minedu.govt.nz">Tahuhu o te Matauranga</a>.</p>
+about.textxsupporgs2=<p>Ara ano hoki nga tautoko i tukua mai e nga whare pukapuka o nga whare wananga: <ul><li><a href="http://www.waikato.ac.nz/library/">Te Whare Pukapuka o te Whare Wananga o Waikato</a><li><a href="http://www.library.otago.ac.nz">Te Whare Pukapuka o te Whare Wananga o Otago</a><li><a href="http://www.massey.ac.nz/~wwwlib/">Te Whare Pukapuka o te Whare Wananga o Massey</a><li><a href="http://www.victoria.ac.nz/library/">Te Whare Pukapuka o te Whare Wananga o Victoria</a><li><a href="http://www2.auckland.ac.nz/lbr/">Te Whare Pukapuka o te Whare Wananga o Auckland</a><li><a href="http://library.canterbury.ac.nz"</a>Te Whare Pukapuka o te Whare Wananga o Canterbury</a><li><a href="http://prod.lincoln.ac.nz/libr/default.htm"</a>Te Whare Pukapuka o te Whare Wananga o Lincoln</a></ul><p>Kei runga te kohinga &quot;Niupepa 1842-1933&quot; i te kiriata mokito 35mm me te kiriata mororiki. Ka taea te tono atu ki te whare pukapuka o to rohe, ka taea ranei te hoko, mai i te <a href="http://www.natlib.govt.nz/en/using/8atl.html">AlexanderTurnbull Library</a>. <p>Na te <a href="http://www.micrographics.co.nz">New Zealand Micrographic Services Ltd.</a> i whakawhiti nga whakaahua, mai i te kiriata mokito ki te whakatakotoranga TIFF. <p>Na Gail Dallimore nga kupu whakataki. <p>Na tetehi ropu rangahau i te Tari Maori o te Whare Wananga o Tamaki i whakarite nga <a href="_httppagex_(abexpl)">rapopototanga reo Pakeha</a>.
+
+abstract=RÄÂpopoto reo PÄÂkehÄÂ 
Index: main/trunk/model-cols/niupepa/transform/pages/about.xsl
===================================================================
--- main/trunk/model-cols/niupepa/transform/pages/about.xsl	(revision 26256)
+++ main/trunk/model-cols/niupepa/transform/pages/about.xsl	(revision 26256)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+	<!-- use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title -->
+	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>
+
+	<!-- set page breadcrumbs -->
+	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/></xsl:template>
+
+	<!-- the page content -->
+	<xsl:template match="/page">
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxwelcome')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxwelcome2')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxbackground')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxgrateful')"/>
+		
+		<hr/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxbackground2')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxbackground3')"/>
+		
+		<hr/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxsupporgs')"/>
+		<a href="http://www.minedu.govt.nz/"><img src="_httpprefix_/collect/niupepa/images/mined.gif" style="border:0px;"/></a>
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textyaymined')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getCollectionText($collNameChecked, $site_name, /page/@lang, 'about.textxsupporgs2')"/>
+	</xsl:template> 
+</xsl:stylesheet>  
+