Index: /main/trunk/model-cols/niupepa/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-cols/niupepa/etc/collectionConfig.xml	(revision 26265)
+++ /main/trunk/model-cols/niupepa/etc/collectionConfig.xml	(revision 26266)
@@ -8,13 +8,5 @@
 	<displayItemList>
 		<displayItem assigned="true" lang="en" name="description">A sample of niupepa papers</displayItem>
-		<displayItem assigned="true" lang="en" name="name">niupepa: Maori newspapers</displayItem>
-		<displayItem assigned="true" lang="en" name="text">text</displayItem>
-		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
-		<displayItem assigned="true" lang="en" name="Source">filenames</displayItem>
-		<displayItem assigned="true" lang="en" name="document:text">text</displayItem>
-		<displayItem assigned="true" lang="en" name="document:ex.Title">Title</displayItem>
-		<displayItem assigned="true" lang="en" name="document:ex.Source">Source</displayItem>
-		<displayItem assigned="true" lang="en" name="document">document</displayItem>
-		<displayItem assigned="true" lang="en" name="section">section</displayItem>
+		<displayItem assigned="true" lang="en" name="name">niupepa: mÄori newspapers</displayItem>
 	</displayItemList>
 	<format>
@@ -25,5 +17,5 @@
 						<gsf:icon file="icomm.gif" select="collection"/>
 					</gsf:when>
-					<gsf:when test="equals" test-value="Description">
+					<gsf:when test="equals" test-value="Abstract">
 						<gsf:icon file="iabstr.gif" select="collection"/>
 					</gsf:when>
@@ -36,27 +28,18 @@
 				</gsf:switch>
 			</gsf:template>
-			<gsf:template name="choose-title">
-				<gsf:choose-metadata>
-					<gsf:metadata name="Series"/>
-					<gsf:metadata name="exp.Title"/>
-					<gsf:metadata name="ex.dc.Title"/>
-					<gsf:metadata name="Title"/>
-					<gsf:default>Untitled</gsf:default>
-				</gsf:choose-metadata>
-				<gsf:switch>
-					<gsf:metadata name="Volume"/>
-					<gsf:when test="exists">
-						<xsl:text>, Volume:</xsl:text>
-						<gsf:metadata name="Volume"/>
-					</gsf:when>
-				</gsf:switch>
-				<gsf:switch>
-					<gsf:metadata name="Issue"/>
-					<gsf:when test="exists">
-						<xsl:text>, Issue:</xsl:text>
-						<gsf:metadata name="Issue"/>
-					</gsf:when>
-				</gsf:switch>
-			</gsf:template>
+    <gsf:template name="title-plain">
+      <gsf:choose-metadata>
+	<gsf:metadata name="Series" select="root"/>
+	<gsf:metadata name="Series"/>
+      </gsf:choose-metadata>
+      <xsl:text>: </xsl:text>
+      <gsf:switch>
+	<gsf:metadata name="Title" select="ancestors"/>
+	<gsf:when test="exists">
+	  <gsf:metadata name="Title" select="ancestors"/><xsl:text>: </xsl:text>
+	</gsf:when>
+      </gsf:switch>
+	<gsf:metadata name="Title"/>
+    </gsf:template>
 		</format>
 	<search type="mgpp">
@@ -76,13 +59,17 @@
 		<indexSubcollection name="abstract,commentary,niupepa">
       <displayItem lang="en" name="name">papers, commentaries and abstracts</displayItem>
+      <displayItem lang="mi" name="name">ngÄ niupepa, kupu whakataki, me ngÄ rÄpopoto</displayItem>
     </indexSubcollection>
 		<indexSubcollection name="niupepa">
       <displayItem lang="en" name="name">newspapers</displayItem>
+      <displayItem lang="mi" name="name">ngÄ niupepa anake</displayItem>
       </indexSubcollection>
 		<indexSubcollection name="commentary">
       <displayItem lang="en" name="name">bibliographic commentaries</displayItem>
-      </indexSubcollection>
+      <displayItem lang="mi" name="name">ngÄ kupu whakataki anake</displayItem>0
+    </indexSubcollection>
 		<indexSubcollection name="abstract">
-      <displayItem lang="en" name="name">English abstracts</displayItem>
+      <displayItem lang="en" name="name">english abstracts</displayItem>
+      <displayItem lang="mi" name="name">ngÄ rÄpopoto reo PÄkehÄ anake</displayItem>
       </indexSubcollection>
 		<subcollection filter="DocType/Commentary/" name="commentary"/>
@@ -91,14 +78,29 @@
 		<searchType name="plain"/>
 		<format>
+    <gsf:template name="title-with-link">
+      <gsf:choose-metadata>
+	<gsf:metadata name="Series" select="root"/>
+	<gsf:metadata name="Series"/>
+      </gsf:choose-metadata>
+      <xsl:text>: </xsl:text>
+      <gsf:switch>
+	<gsf:metadata name="Title" select="ancestors"/>
+	<gsf:when test="exists">
+	  <gsf:metadata name="Title" select="ancestors"/><xsl:text>: </xsl:text>
+	</gsf:when>
+      </gsf:switch>
+      <gsf:link type="document">
+	<gsf:metadata name="Title"/>
+      </gsf:link>
+    </gsf:template>
+
 			<gsf:template match="documentNode">
 				<td valign="top">
 					<gsf:link type="document">
-						<gsf:icon type="document"/>
+						<xsl:call-template name="choose-icon"/>
 					</gsf:link>
 				</td>
 				<td>
-					<gsf:link type="document">
-						<xsl:call-template name="choose-title"/>
-					</gsf:link>
+	                            <xsl:call-template name="title-with-link"/>
 				</td>
 			</gsf:template>
@@ -130,4 +132,6 @@
 			<option name="-bookshelf_type" value="always"/>
 			<option name="-partition_type_within_level" value="none"/>
+      <option name="-filter_metadata" value="DocType"/>
+      <option name="-filter_regex" value="(?i)(niupepa|commentary)"/>
 			<format>
 			<gsf:template match="documentNode">
@@ -149,5 +153,5 @@
 				<td valign="top">
 					<gsf:metadata name="Title"/>
-					<xsl:text>					</xsl:text>					<gsf:metadata format="formatDate" name="Date"/>
+					<xsl:text>					</xsl:text>					<i><gsf:metadata format="formatDate" name="Date"/></i>
 				</td>
 			</gsf:template>
@@ -189,5 +193,5 @@
 Defined in the global format statement
 -->
-						<xsl:call-template name="choose-title"/>
+						<xsl:call-template name="title-plain"/>
 					</gsf:link>
 				</td>
@@ -211,5 +215,5 @@
 Defined in the global format statement
 -->
-					<xsl:call-template name="choose-title"/>
+					<xsl:call-template name="title-plain"/>
 					<gsf:switch>
 						<gsf:metadata name="Source"/>
@@ -252,11 +256,16 @@
 Overwriting this template allows you to change the heading of the document.
 -->
-<!--
+
 <gsf:template name="documentHeading">
 <span style="font-weight:bold; font-size: 120%;">
-<xsl:call-template name="choose-title"/>
+<xsl:call-template name="title-plain"/>
 </span>
+<gsf:switch>
+<gsf:metadata name="DocType"/>
+<gsf:when test="equals" test-value="Abstract">
+<gsf:collectionText name="abstract"/>
+</gsf:when>
+</gsf:switch>
 </gsf:template>
--->
 <!--
 Overwriting this template can be used to redefine the content of the whole document. This is useful for simple documents, but not recommended for more complex documents (e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
@@ -272,9 +281,9 @@
 -->
 			<gsf:template name="sectionHeading">
-				<xsl:call-template name="choose-title"/>
+				<xsl:call-template name="title-plain"/>
 			</gsf:template>
 			<gsf:template name="pageTitle">
 				<xsl:for-each select="/page/pageResponse/document/documentNode">
-					<xsl:call-template name="choose-title"/>
+					<xsl:call-template name="title-plain"/>
 				</xsl:for-each>
 			</gsf:template>
@@ -309,4 +318,5 @@
 		<replace bundle="niupepa" key="textsubmat" macro="_textsubmat_" resolve="false" scope="text"/>
 		<replace bundle="niupepa" key="textavail" macro="_textavail_" resolve="false" scope="text"/>
+    <replace macro="_httpdocument_&amp;cl=_cgiargcl_&amp;gg=prev&amp;d=" scope="text" text="_libraryname_/collection/_clustername_/document/" resolve="true"/>
 	</replaceList>
 	<serviceRackList><!-- comment out the following serviceRack if you want to disable OAI for this collection -->